Subject: bug#56393: Actually fix the long lines display bug

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Jul 2022 21:56:44 +0300

> Date: Mon, 18 Jul 2022 18:26:22 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked], [email-masked]
> 
> 
> >> Thanks, but couldn't we use the existing BUF_CHARS_MODIFF for that?
> >
> > I'll have a look, thanks.
> >
> 
> And the answer is no.  (I tried to use it, but did not remember the reason 
> why it was not usable in this context while writing my previous reply.) 
> I don't know what BUF_CHARS_MODIFF records

What BUF_CHARS_MODIFF records is documented in the doc string of
buffer-chars-modified-tick.

> but it is for example == 2 before and after C-x i dictionary.json
> RET.

It's a bug, plain and simple.